---
title: Sketch for simulating chemodiversity
author: Stefan Dresselhaus
date: 2018-09-21
format: markdown+lhs

...

= (rough) sketch components responsible for chemodiversity

== Genes

- define which enzymes are produced in which quantities
    - list in fig. 1 in [1]
- can be scaled down/inactivated (i.e. when predators leave for generations)
    - easy to ramp up production as long as the genes are still there
- plants can survive without problems with inactive PSM-cycles when no
  adversaries are present.

=== Inheritance & Mutation

- via whole-genome and local-genome duplication
- copies accumulate mutations that lead to neofunctionalization
- e.g. subtle differences in terpene synthases can yield vastly different products
    - i.e. these changes can appear easily
    - need to classify products by "chemical distance" for simulation
    - **TODO**: Map/Markov-Chain of mutations that may occur here?

=== Evolutional strategies

- "Bet-hedging": reduce variations of fitness over time
    - **TODO**: understand
    - different effects of intra-cohort-variation vs. inter-cohort-variation
- Plants with inactive PSM can survive if predators are deterred by other
  individuals due to automimicry-effect which *could* foster wider genetic
  variance
    - the more of those individuals are present in a population, the less their
      overall fitness becomes.
    - **TODO**: fitness must also be able to depend on relative appearance of
      adversarial traits in the population
        - Keyword: Frequency-dependent-selection (FDS)

== Pathways to produce chemical compounds

- 40k+ compounds just stem from compounds of the calvin-cycle taking the
  MEP-pathway or from the krebs-cycle taking the MVA-pathway
    - both yield the same intermediate product that forms the basis.
- 10k+ compounds are amino-acid-derivatives
- Chapter VI in [1] exemplary describes 4 complete different pathways that yield
  compounds.
    - similar compounds/pathways should be found in the simulation

=== Consequences of producing compounds

- taking away parts of the calvin/krebs cycle puts pressure on those
    - **TODO**: find out what they do and on what they depend.
- **TODO**: where do amino-acids come from? How much impact has the diversion of
  these components?

== Maintaining chemical diversity

=== + screening hypothesis

- many PSM found have no *known* biological activity
- plants "keep them around" in case another mutation needs them to produce
  something "useful"
- creating things without use increase the need for photosynthesis and/or
  nutrient uptake.

=== - screening hypothesis

- it is suggested that local abiotic & biotic selection pressures are the main
  driver
- inactive molecules are not maintained long
- it was observed that some plants "rediscovered" some compounds in their
  evolution suggesting they got rid of them when no pressure to maintain them
  was applied

==== questions resulting from this that should be answered in the simulation

- details in chapter VIII of [1]
- how quick can lost diversity be restored?
- how expensive is it to keep producing many inactive substances while also
  producing active deterrents? Does this lead to a single point-of-failure due
  to overspecialisation? What must be done to prevent this?
- strong selection pressure *should* decrease quantity of compounds due to
  costs, but plants do not seem to care.
    - is this diversity needed in presence of multiple different adversaries?
    - does the simulation specialize when only presented with one adversary?
      What about adaptive adversaries?
    - adaptation in the qualitative & quantitative evolution in response to
      changed pressure? (i.e. those who cannot adapt quick enough die?)

= Scenario

== Plants

> data Foo = Bar

== Enzymes

== Herbivores

== Environment

== Fitness

== Mating & Creation of diversity


